PACCAT(1)

NAME
paccat - Print pacman package files

SYNOPSIS
paccat [options] <target> <files>
paccat [options] [targets] -- <files>
paccat [options] [-<Q|F>] [targets] -- <files>

a target can be specified as:
    <pkgname>, <repo>/<pkgname>, <url> or <file>.

files can be specified as just the filename or the full path.

DESCRIPTION
Print pacman package files. paccat prints files from packages independent of your system by downloading the needed packages and extracting the needed files.

SYNTAX HIGHLIGHTING
paccat will use bat for syntax highlighting if it is installed.

OPTIONS

-F, --files
    Use files database to search for files before deciding to download.

-Q, --query
    Use local database to search for files before deciding to download.

-r, --root <path>
    Set an alternative root directory.

-b, --dbpath <path>
    Set an alternative database location.

--config <file>
    Use an alternative pacman.conf.

--color <when>
    Specify when to enable coloring. Valid options are always, never, or auto.

-y, --refresh
    Download fresh package databases from the server. Pass twice to force download even if databases are up to date.

--cachedir <path>
    Set an alternative cache directory.

-a, --all
    print all matches of files instead of just the first.

-x, --regex
    Enable searching using regular expressions.

--binary
    Print binary files

-e, --extract
    Extract matched files to the current directory.

-q, --quiet
    Print file names instead of file content.

-i, --install
    Install matched files to the system.

-h, --help
    Print help information.

-V, --version
    Print version information.

EXAMPLES

paccat grub etc/default/grub
    Print the contents of 'etc/default/grub' from the grub package.

paccat pacman pacman.conf
    Print the contents of the first file named 'pacman.conf' from the pacman package.

paccat -F -- pacman.conf
    Print the contents of the first file named 'pacman.conf' in the repos

paccat -x pacman mkinitcpio -- '\.conf^'
    Print the contents of all files ending in '.conf' from both the pacman and mkinitcpio packages.

paccat ~/pkgs/my-pkg-1.0.0-1.pkg.tar.zst myfile
    Print the contents of 'myfile' from a package tarball.

paccat https://archlinux.org/packages/extra/x86_64/git/download git-blame.1.gz
    Download and print the contents of 'git-blame.1.gz' from the git package.";

SEE ALSO
pacman(8)

BUGS
Please report bugs to our GitHub page https://github.com/Morganamilo/paccat.

AUTHORS
Morgan <morganamilo@archlinux.org>